10de:0dfa [HP EliteBook 8560w] Changing the screen brightness does not work anymore in 319.xx

Bug #1241745 reported by Ingo Gerth on 2013-10-18
132
This bug affects 26 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-319 (Ubuntu)
Low
Unassigned

Bug Description

Changing the screen brightness always used to work on my HP Elitebook 8560w -- both with the function keys and in the dialog "Brightness & Lock" in the system settings. The environment light sensor also used to work IIRC.

Since the update to 13.10, this stopped working. Methods I have tried that didn't work for adapting the brightness are:
* Adding GRUB_CMDLINE_LINUX="acpi_backlight=vendor" to /etc/default/grub
* Adding GRUB_CMDLINE_LINUX=”acpi_osi="!Windows 2012" to /etc/default/grub

Currently I am changing the brightness manually using xrandr --output LVDS-0 --brightness 0.9. However, AFAIK this does not really change the brightness, but only changes the contrast.

WORKAROUND: Use nvidia-graphics-drivers-304.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: xorg 1:7.7+1ubuntu6
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 319.60 Wed Sep 25 14:28:26 PDT 2013
 GCC version: gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-10ubuntu8)
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Fri Oct 18 19:50:36 2013
DistUpgraded: 2013-10-17 17:20:47,580 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus:
 nvidia-319-updates, 319.60, 3.11.0-12-generic, x86_64: installed
 nvidia-319-updates, 319.60, 3.8.0-31-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation GF108GLM [Quadro 1000M] [10de:0dfa] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:1631]
InstallationDate: Installed on 2013-01-06 (285 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
JockeyStatus:
 kmod:nvidia_319_updates - nvidia_319_updates (Proprietary, Enabled, Not in use)
 kmod:nvidia_304 - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_304_updates - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
 kmod:nvidia_319 - NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
MachineType: Hewlett-Packard HP EliteBook 8560w
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic root=UUID=53f83a14-cacc-48fd-bb4b-354d69eb7f0e ro quiet splash "acpi_osi=!Windows 2012"
SourcePackage: xorg
UpgradeStatus: Upgraded to saucy on 2013-10-17 (1 days ago)
dmi.bios.date: 06/11/2012
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68SVD Ver. F.27
dmi.board.name: 1631
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 01.3B
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68SVDVer.F.27:bd06/11/2012:svnHewlett-Packard:pnHPEliteBook8560w:pvrA0001D02:rvnHewlett-Packard:rn1631:rvrKBCVersion01.3B:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8560w
dmi.product.version: A0001D02
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Fri Oct 18 19:39:07 2013
xserver.configfile: default
xserver.errors:
 Failed to load /usr/lib/xorg/modules/libglamoregl.so: /usr/lib/xorg/modules/libglamoregl.so: undefined symbol: _glapi_tls_Context
 Failed to load module "glamoregl" (loader failed, 7)
 open /dev/fb0: No such file or directory
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.14.3-3ubuntu2

Ingo Gerth (igerth) wrote :
Timo Aaltonen (tjaalton) on 2013-10-21
affects: xorg (Ubuntu) → nvidia-graphics-drivers-319 (Ubuntu)
Ingo Gerth (igerth) on 2013-10-21
description: updated
Ingo Gerth (igerth) wrote :

As per Timo's hint, I reverted back to nvidia-graphics-drivers-304 from the repos and am not experiencing this issue anymore. Of course, it would be desirable to have working 319 drivers, to get all the performance fixes crucial to OpenGL applications etc.

Timo Aaltonen (tjaalton) on 2013-10-21
Changed in nvidia-graphics-drivers-319 (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
summary: - Changing the screen brightness does not work anymore in 13.10
+ [regression] Changing the screen brightness does not work anymore in
+ 319.xx
Daniel Dadap (ddadap) wrote :

It looks like we're tracking a similar bug report about broken brightness controls on HP EliteBook 8560w in the 319 and later drivers in the NVIDIA internal bug tracker. That bug tracker is not visible to the public, but in case you want to check with NVIDIA support on the status of the bug, the bug number is 1372953.

The root cause of this issue has not yet been investigated, so there's nothing to report at the moment, other than that we are indeed able to reproduce this issue.

Alberto Milone (albertomilone) wrote :

Ok, thanks, Daniel.

Peter Salzmann (petersalzmann) wrote :

I have this issue with Dell Inspiron N4010

FGLRX

I can adjust the brightness in the catalyst control centre

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Crossle Song (xming-song) wrote :

Same issue, Macbook pro , maybe changed dir /sys/class/backlight/apple_backlight/
xbacklight can't work. I used xmonad on ubuntu 13.10. but 13.04 work well.

Peter Salzmann / discont / Crossle Song, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

description: updated
tags: added: bios-outdated-f.42
tags: added: regression-release
Ingo Gerth (igerth) wrote :

Daniel, has this been fixed with 331.20? I'm seeing the entry
"Added a new NV-CONTROL attribute, NV_CTRL_BACKLIGHT_BRIGHTNESS, for controlling backlight brightness."
in the changelog.

Source:
http://ubuntuhandbook.org/index.php/2013/11/nvidia-331-20-install-ubuntu-linux-mint/

Daniel Dadap (ddadap) wrote :

Not to my knowledge: that changelog entry refers to adding an additional interface via the NV-CONTROL API to the existing backlight functionality. The problem is that the existing backlight functionality is now broken on some laptops, so it doesn't make a difference whether it's exposed through a new API or not.

Daniel,

Is there a ETA for a fix for this?
Or a temporally work around?

I am using a:
HP EliteBook 8560w
01:00.0 VGA compatible controller: NVIDIA Corporation GF106GLM [Quadro 2000M] (rev a1)

Daniel Dadap (ddadap) wrote :

Sorry, at the moment we don't have an ETA for a fix. It's not likely to be fixed in the immediate future. I've added a note to the bug report on the NVIDIA bug tracker as a reminder to update this Launchpad thread when we have a fix in hand.

The only workaround I'm currently aware of is to use an older driver, but older drivers may not be compatible with newer X servers and kernels. The 304.xx series is maintained as a legacy branch, so it would be compatible with newer kernel / X server versions, and unless your hardware is especially new, there's a good chance that a 304.xx driver will work for you. The recently released 304.116 driver, for example, is compatible with Xorg up to 1.14 and Linux up to 3.12.

Shriramana Sharma (jamadagni) wrote :

Same problem with laptop as discont -- IdeaPad Z570. The graphics system is Intel HD Graphics 3000, not NVidia. Should the bug really be filed against the nvidia package?

Too bad that there is no ETA for this fix...

Daniel Dadap (ddadap) wrote :

The problem described in this bug is due to a confirmed regression in the NVIDIA driver. If you are seeing a similar symptom on Intel, that should probably be tracked in a separate bug.

It would be great if the developers from NVIDIA would give this
show-stopping bug a high-priority for their first next driver release.
This makes it just unbearable to use my Laptop if I would like to use a
newer driver, which does posses some quite big performance gains which I
would love to take profit from.

2013/11/26 Daniel Dadap <email address hidden>

> The problem described in this bug is due to a confirmed regression in
> the NVIDIA driver. If you are seeing a similar symptom on Intel, that
> should probably be tracked in a separate bug.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1241745
>
> Title:
> [regression] Changing the screen brightness does not work anymore in
> 319.xx
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1241745/+subscriptions
>

--
Met vriendelijke groet / Kind Regards,

Priyantha Bleeker
Cell Phone: +31 6 42 22 22 69
http://www.priyantha.nl

Declining for linux (Ubuntu) as the evidence points to a regression in the nvidia driver, given 304 works and 319 doesn't. Please reopen if you disagree with a technical analysis as to why the nvidia driver regression is due to the kernel.

summary: - [regression] Changing the screen brightness does not work anymore in
- 319.xx
+ 10de:0dfa [regression] Changing the screen brightness does not work
+ anymore in 319.xx
Changed in linux (Ubuntu):
status: Confirmed → Invalid

@Christopher M. Penalver (penalvch)

Do you have any update on this ?
This is now already a very long time ago, and it would be nice if Nvidia made some effort for this.

Priyantha Bleeker, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ingo Gerth (igerth) wrote :

@ Daniel, Christopher,

I would also like to inquire a status update on this. HP Elitebooks are the staff laptops at a university and agency that I work for, and this bug is a considerable nuisance to those users. It would be great if this could still be fixed soon.

summary: - 10de:0dfa [regression] Changing the screen brightness does not work
- anymore in 319.xx
+ 10de:0dfa [HP EliteBook 8560w] Changing the screen brightness does not
+ work anymore in 319.xx

Ingo Gerth, as per https://wiki.ubuntu.com/X/Triaging#Marking_Bugs_Ready_to_be_Upstreamed it wouldn't hurt to attach to this bug report "...the nvidia-bug-report.log file generated by the nvidia-bug-report.sh script (which is installed as part of driver installation)", as well as e-mail <email address hidden> with that script and information noted in this bug report.

Ingo Gerth (igerth) wrote :

The bug report log file is now attached.

no longer affects: linux (Ubuntu)
Ryan Tandy (rtandy) wrote :

I've been running nvidia-304 to work around this bug, and noticed that in 304.117 the brightness control does not work. It's OK in 304.116 and 304.121. Anyone else?

Confirmed the problem in 331.20 and 331.38 as well.

Ryan Tandy, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in nvidia-graphics-drivers-319 (Ubuntu):
importance: Medium → Low
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Triaged
status: Triaged → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
no longer affects: nvidia-graphics-drivers-331 (Ubuntu)
Steffan Sluis (steffansluis) wrote :

I downloaded and manually installed the NVIDIA drivers version 340.32 from the NVIDIA website. The brightness is still not working. I'm running Ubuntu GNOME 14.10 on an HP Elitebook 8650w, NVIDIA Quadro 1000M and I've tried all workaround suggested above.

Steffan Sluis, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Sergio Mena (sergio-mena) wrote :

Hello,

I'm running Mint 17.1 Rebecca (based on Ubuntu 14.04), and experiencing the same brightness problem.

I think I have a workaround; not very "elegant" but does the job.

Install the brightness applet (I'm using the one available in MATE). When you use it to change the brightness, surprise, it doesn't work.

However, if I close the laptop's lid, let it sleep, then open the lid again, the brightness seems to get adjusted to the last brightness settings I set before closing the lid.

I know, not very elegant, but seems to do the job.

BTW, my laptop is a Lenovo W520. Using "discrete graphics" option in BIOS. Output of "lspci | grep -i vga":

01:00.0 VGA compatible controller: NVIDIA Corporation GF108GLM [Quadro 1000M] (rev a1)

HIH,

Sergio

still seems to be a bug in nvidia-drivers version 375

Changed in nvidia:
status: New → Confirmed

would be great if nvidia could explore why the brightness gets properly restored only after a sleep and is not polling the brightness properly in real-time

peddanet (peter-wein) wrote :

So 5 years and the bug still seems to be in version 390??

I have ASUS ROG G752VS with NVIDIA GTX 1070, and I can adjust the keyboard backlight but not the display brightness. iN The Nvidia server settings I can adjust a little bit the contrast...

Ingo Gerth, as per the forum post of another HP EliteBook 8560w (different card), NVIDIA advised to update the BIOS, and another user advised that updating the driver to 375.66 worked for them:
https://devtalk.nvidia.com/default/topic/539462/linux/-nvidia-319-12-brightness-controls-not-working-on-laptop-ubuntu-13-03-/5

Could you please advise on your BIOS version, update to a supported version of Ubuntu, and advise if testing the latest NVIDIA driver for your release works?

tags: added: bios-outdated-f.50
removed: bios-outdated-f.42
no longer affects: nvidia
Changed in nvidia-graphics-drivers-319 (Ubuntu):
status: Triaged → Incomplete

peddanet (peter-wein), as per NVIDIA, the scope of this report was determined to be hardware dependent:
https://devtalk.nvidia.com/default/topic/539462/linux/-nvidia-319-12-brightness-controls-not-working-on-laptop-ubuntu-13-03-/5

Hence, if you would like your problem addressed, it will help immensely if you use the computer the problem is reproducible with, file a new report with Ubuntu by first ensuring the package xdiagnose is installed, and click the Yes button for attaching additional debugging information after running the following from a terminal:
ubuntu-bug xorg

Also, please feel free to subscribe me to it.

tags: added: bios-outdated-f.63
removed: bios-outdated-f.50
Launchpad Janitor (janitor) wrote :

[Expired for nvidia-graphics-drivers-319 (Ubuntu) because there has been no activity for 60 days.]

Changed in nvidia-graphics-drivers-319 (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.